Creates a new project status

Request Information

URI Parameters :

None.

Body Parameters :

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "9c63a4a5-109b-424a-b95a-178c201e49e8",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "8f887f01-e52b-4131-a877-c2a460db91d7",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "280d8e47-cd60-4e90-95b2-7d2e815505c3",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "96bb8e9a-7512-4860-bc39-9f357fa52482",
    "db_currency_id": "c0aeb97c-3651-4133-853d-ff05ab5c75cf",
    "db_language_id": "6a7f2a6c-e8fc-4680-adac-64308210d6fd",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-17T01:39:31.9333666+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-06-17T01:39:31.9531834+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.